from typing import Optional

from homekit.config import ConfigUnit


class OpenwrtConfig(ConfigUnit):
    NAME = 'openwrt'

    @classmethod
    def schema(cls) -> Optional[dict]:
        return {
            'ip': cls._addr_schema(only_ip=True, required=True),
            'command_id': {'type': 'string', 'required': True}
        }